TYPO3.Fluid - Task # 11636

Task # 26664 (New): Clean up Form ViewHelpers
Task # 26658 (New): Make Form ViewHelpers consistent

Status: Resolved Priority: Should have
Author: Daniel Lienert Category: ViewHelpers
Created: 2010-12-22 Assigned To: Christopher Hlubek
Updated: 2013-10-21 Due date:

Has patch: No

Subject: Form viewhelper not functional with method GET

Description

If the GET-method is used, only the url from action is passed to the server, but not the paramaters given there like pageld, controller,
action.

These fields should be added as hidden fields in the form.

Related issues:

related to Core - Bug # 27415: ViewHelper Forms with method get and action pa... Accepted 2011-06-13
related to TYPOS.Fluid - Bug # 39456: Action URI of the form ViewHelper is no... Resolved 2012-08-01
duplicated by TYPO3.Fluid - Bug # 37459: FormViewHelper with GET method and g... Closed 2012-05-24

Associated revisions

Revision 488b238d - 2012-06-20 10:32 - Christopher Hlubek

[TASK] Add query parameters for form action as hidden fields

This change makes the form viewhelper usable with method GET by adding
query parameters of the action as hidden fields to the form. Otherwise

the browser would replace them by the form values
(http://www.w3.0rg/TR/htmI401/interact/forms.html#h-17.13.3.4).

Change-Id: 19e47bf3919cdd366e3708a8fac53439b332fa5d8
Resolves: #11636

Releases: 1.1, 1.2

Revision 0c8ef04c - 2012-06-25 11:43 - Christopher Hlubek

[TASK] Add query parameters for form action as hidden fields

This change makes the form viewhelper usable with method GET by adding

query parameters of the action as hidden fields to the form. Otherwise

the browser would replace them by the form values
(http://www.w3.0rg/TR/htmI401/interact/forms.htmi#h-17.13.3.4).

Change-Id: 19e47bf3919cdd366e3708a8fac53439b332fa5d8
Resolves: #11636
Releases: 1.1, 1.2

Revision 69453896 - 2012-08-01 18:44 - Bastian Waidelich
[BUGFIX] Action URI of the form ViewHelper is not reset

Form ViewHelpers store the action URI attribute for performance
reasons.

But because instances of ViewHelpers are reused, this value needs
to be reset.

Besides this removes an obsolete property "formActionUriArguments”

Change-Id: 19636b881c84285a57¢5fb3225067871583c4159d
Fixes: #39456

Related: #11636

Releases: 1.1, 1.2

Revision 299ad012 - 2012-08-02 11:10 - Bastian Waidelich

[BUGFIX] Action URI of the form ViewHelper is not reset

Form ViewHelpers store the action URI attribute for performance
reasons.

But because instances of ViewHelpers are reused, this value needs
to be reset.

Besides this removes an obsolete property "formActionUriArguments"

Change-Id: 19636b881c84285a57c5fb3225067871583c4159d
Fixes: #39456

Related: #11636

Releases: 1.1, 1.2

History

#1 - 2011-05-06 10:09 - Sebastian Kurfuerst
- Parent task set to #26658

#2 - 2011-09-09 15:20 - Robert Lemke

- Target version changed from 1.0 beta 2 to 1.0.0

#3 - 2011-10-20 01:48 - Karsten Dambekalns
- Target version deleted (1.0.0)

#4 - 2012-05-24 12:33 - Bastian Waidelich

- Priority changed from Must have to Should have

- Has patch set to No

Some more comments from #37459 :

If the form viewhelper is used with method="GET" and the action attribute that is built (given with actionUri or using the URI builder) contains
query paramters, they will be lost on form submission (http://www.w3.org/TR/html401/interact/forms.html#h-17.13.3.4).

The form viewhelper should parse query parameters in the action URI and prepend them as hidden fields in the form to pass them to the
request that is submitted.
#5 - 2012-05-24 15:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11571

#6 - 2012-05-24 15:03 - Christopher Hlubek
- Assigned To set to Christopher Hlubek

#7 - 2012-06-18 11:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11571

#8 - 2012-06-19 19:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11571

#9 - 2012-06-20 10:35 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11571

#10 - 2012-06-20 11:12 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12209

#11 - 2012-06-20 11:37 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:488b238d9436d73df7e06679a6e76e83515f0fb7.

#12 - 2012-06-25 11:44 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12209
#13 - 2012-06-25 12:35 - Christopher Hlubek

- Status changed from Under Review to Resolved

Applied in changeset commit:0c8ef04ce86582e4eea8a702b3f4a90c9d639227.

#14 - 2013-01-28 09:15 - Nicolas Forgeot

the correction is deployed in version 1.4 ?

| have the same problem with a TYPOS 6.0.

#15 - 2013-06-14 17:36 - Martin Terber

Bug is still present in fluid 'version' => '6.1.0'

#16 - 2013-06-14 17:46 - Bastian Waidelich

Mateng no-lastname-given wrote:

Bug is still present in fluid 'version' => '6.1.0'

@Mateng & @Nicolas:

This is the issue tracker for the Fluid package for Flow. For the Fluid extension please refer to http://forge.typo3.org/projects/typo3v4-fluid/issues

#17 - 2013-10-21 20:15 - Marc Bastian Heinrichs

Any suggestions how to handle this in CMS fluid in combination with realurl?

Btw.: you deprecated setFormActionUri, but still call it in render()
